__gnu_cxx::condition_base(3cxx)

NAME
__gnu_cxx::condition_base - Base struct for condition policy.

SYNOPSIS

#include <throw_allocator.h>

Inherited by __gnu_cxx::limit_condition, and __gnu_cxx::random_condition.

  Public Member Functions

condition_base (const condition_base &)=default
condition_base & operator= (const condition_base &)=default

Detailed Description

Base struct for condition policy.

Requires a public member function with the signature void throw_conditionally()

Definition at line 416 of file throw_allocator.h.

Constructor & Destructor Documentation

  virtual __gnu_cxx::condition_base::~condition_base () [inline], [virtual]

Definition at line 423 of file throw_allocator.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.